[arch-commits] Commit in leafpad/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Nov 3 01:23:51 EST 2009


    Date: Tuesday, November 3, 2009 @ 01:23:51
  Author: eric
Revision: 57989

upgpkg: leafpad 0.8.17-1
    Upstream update, Added StartupNotify to .desktop file (close FS#13979)

Modified:
  leafpad/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-03 04:23:06 UTC (rev 57988)
+++ PKGBUILD	2009-11-03 06:23:51 UTC (rev 57989)
@@ -3,7 +3,7 @@
 # Contributor: Link Dupont <link at subpop.net>
 
 pkgname=leafpad
-pkgver=0.8.16
+pkgver=0.8.17
 pkgrel=1
 pkgdesc="A notepad clone for GTK+ 2.0"
 arch=('i686' 'x86_64')
@@ -13,12 +13,13 @@
 makedepends=('perlxml')
 install=leafpad.install
 source=(http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz)
-md5sums=('65c17a9ed866b059856b5513f5eaae17')
+md5sums=('d39acdf4d31de309d484511bdc9f5924')
+sha1sums=('d13f585f3b2d9ea263102e1abb9fc688e3e5874a')
 
-build()
-{
-  cd $srcdir/$pkgname-$pkgver
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
   ./configure --prefix=/usr --enable-chooser || return 1
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR="$pkgdir" install || return 1
+  echo 'StartupNotify=true' >> "$pkgdir/usr/share/applications/leafpad.desktop" || return 1
 }



More information about the arch-commits mailing list